SDL_GetGPUShaderFormats(3)

NAME
SDL_GetGPUShaderFormats - Returns the supported shader formats for this GPU context.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUShaderFormat SDL_GetGPUShaderFormats(SDL_GPUDevice *device);

FUNCTION PARAMETERS

device
    a GPU context to query.

RETURN VALUE
( SDL_GPUShaderFormat ) Returns a bitflag indicating which shader formats the driver is able to consume.

AVAILABILITY
This function is available since SDL 3.2.0.